Clear the cache
- POST /{index}/_searchable_snapshots/cache/clear
- POST /_searchable_snapshots/cache/clear
Clear indices and data streams from the shared cache for partially mounted indices.
Read the reference documentationRequired authorization
- Index privileges manage
- Cluster privileges manage
Query parameters
-
expand_wildcardsstring · default: open -
Whether to expand wildcard expression to concrete indices that are open, closed or both
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
allow_no_indicesboolean -
Whether to ignore if a wildcard indices expression resolves into no concrete indices. (This includes
_allstring or when no indices have been specified) -
Whether specified concrete indices should be ignored when unavailable (missing or closed)
Response
application/json
Response Type: object